import  { useEffect, useState } from 'react'
import { getAisleApi } from '../../../../services/factoryBuilder/aisle/getAisleApi';
import AisleInstance from '../../../builder/aisle/Instances/instance/aisleInstance';

function AislesDuplicate({ projectId }: { projectId: string }) {
    const [aisles, setAisles] = useState<Aisles>([]);

    useEffect(() => {
        const fetchAisle = async () => {
            if (projectId) {
                const aisles = await getAisleApi(projectId);
                setAisles(aisles);
            }
        }
        fetchAisle()
    }, [])

    return (
        <group name='Aisles-Group'>
            {aisles.map((aisle) => (
                <AisleInstance aisle={aisle} key={aisle.aisleUuid} />
            ))}
        </group>
    )
}

export default AislesDuplicate