import {
    useRoofVisibility,
    useToggleView,
    useWallVisibility,
} from "../../../../store/builder/store";
import { useEffect } from "react";
import loadFloor from "../../../builder/geomentries/floors/loadFloor";
import { getLines } from "../../../../services/factoryBuilder/lines/getLinesApi";
import objectLinesToArray from "../../../builder/geomentries/lines/lineConvertions/objectLinesToArray";
import { useFrame, useThree } from "@react-three/fiber";
import hideRoof from "../../../builder/geomentries/roofs/hideRoof";
import hideWalls from "../../../builder/geomentries/walls/hideWalls";

const FloorGroupDuplicate = ({
    floorGroup,
    lines,
    projectId
}: any) => {
    const { scene, camera } = useThree();
    const { toggleView } = useToggleView();
    const { roofVisibility } = useRoofVisibility();
    const { wallVisibility } = useWallVisibility();

    useEffect(() => {
        const email = localStorage.getItem('email')
        const organization = (email!.split("@")[1]).split(".")[0];
        getLines(organization, projectId).then((data) => {
            const Lines = objectLinesToArray(data);

            if (Lines) {
                lines.current = Lines;
                loadFloor(lines, floorGroup);
            }
        })
    }, []);

    useFrame(() => {
        hideRoof(roofVisibility, floorGroup, camera);
        hideWalls(wallVisibility, scene, camera);
    });

    return (
        <group ref={floorGroup} visible={!toggleView} name="floorGroup"></group>
    );
};

export default FloorGroupDuplicate;
