import { Geometry } from "@react-three/csg";
import {
    useToggleView,
} from "../../../../store/builder/store";
import WallsMeshDuplicate from "./wallMeshDuplicate";
import { useState } from "react";

const WallsDuplicate = ({
    lines,
    projectId
}: any) => {
    const { toggleView } = useToggleView();
    const [walls, setWalls] = useState([]);

    return (
        <mesh
            name="Walls"
            key={walls.length}
            receiveShadow
            visible={!toggleView}
        >
            <Geometry computeVertexNormals useGroups>
                <WallsMeshDuplicate projectId={projectId} setWalls={setWalls} walls={walls} lines={lines} />
            </Geometry>
        </mesh>
    );
};

export default WallsDuplicate;
